Bugzilla will be upgraded to version 5.0 on a still to be determined date in the near future. The original upgrade date has been delayed.
Bug 604188 - Guest suffers kernel panic when save snapshot then restart guest
Guest suffers kernel panic when save snapshot then restart guest
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kvm (Show other bugs)
5.5
All Linux
high Severity high
: rc
: ---
Assigned To: Virtualization Maintenance
Virtualization Bugs
: Reopened, ZStream
Depends On: 542954
Blocks: 556823
  Show dependency treegraph
 
Reported: 2010-06-15 11:03 EDT by RHEL Product and Program Management
Modified: 2013-01-09 17:44 EST (History)
12 users (show)

See Also:
Fixed In Version: kvm-83-164.el5_5.12
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-22 10:40:16 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2010:0479 normal SHIPPED_LIVE kvm bug fix update 2010-06-22 10:40:04 EDT

  None (edit)
Description RHEL Product and Program Management 2010-06-15 11:03:24 EDT
This bug has been copied from bug #542954 and has been proposed
to be backported to 5.5 z-stream (EUS).
Comment 6 Lawrence Lim 2010-06-16 22:48:06 EDT
Comment from Kevin, QE please take note and make sure the suggestions made by
Kevin are well covered.

=======================

Anything that uses lots of synchronous reads/writes (i.e. metadata
operations). Long snapshots chains where a lot of COW happens seems to
be a good candidate.

It's probably enough to test intensively with one backing file format,
preferably qcow2 which may issue synchronous metadata I/O again and
therefore makes the scenario more complex.

For verification of the fix, you need to use virtio-blk (multiple
requests running at once are required to even trigger this bug). On the
other hand, only IDE can directly call synchronous bdrv_read/write which
is touched by this patch, so in order to avoid regressions some tests on
IDE should be run, too.

Kevin
Comment 7 Qunfang Zhang 2010-06-17 03:19:42 EDT
Tested with the steps in bug #542954, and that issue does not happen on kvm-83-164.el5_5.12. Besides, we will do more test for this bug, and will upload the test result after finished.
Comment 8 Qunfang Zhang 2010-06-18 07:01:05 EDT
Test runners for verifying this bug:
https://tcms.engineering.redhat.com/run/10370/ (NFS)
https://tcms.engineering.redhat.com/run/10369/ (block device)

Result: Passed.
kvm version: kvm-83-164.el5_5.12
Comment 11 errata-xmlrpc 2010-06-22 10:40:16 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2010-0479.html

Note You need to log in before you can comment on or make changes to this bug.